//--------------------------------------------------------------------------------------------------
//  Name         : MSBV.DCL TRICSY-ST   GER
//  Autor        : KST
//  Erstellt     : 30.09.1996
//  Beschreibung :
//
//  nderungen   :
//  14.11.96 KST Fr Editieren der Attribute beim Einfgen drei Auswahlfelder.
//  13.02.97 KST MSBV0, MSBV1 und MSBV2 fr versch. Auflsungen
//  15.02.97 KST MS_DELLOCK fr Freigabe gesperrter Station eingebaut.
//  17.02.97 KST MS_INFO steht an letzter Stelle
//  27.05.97 KBO MS_123  fr Shareware-Meldung eingefgt
//  19.10.98 KST XREF-Auswahlknopf einfgen
//  16.01.01 KST Skalierung-Popup und -editbox eingefuegt
//  17.04.02 KST neue Ebene: Gewerk
//  06.10.2004 KST/KBO Anpassung an IntelliCAD
//--------------------------------------------------------------------------------------------------


//------------------------------------------ KIDBLK ------------------------------------------------


//------------------------------------- ZOOM-FENSTER -----------------------------------------------

zoomSlide : dialog
{
    key = "l_label";
    : image_button {
        key = "icon"; width = 75; aspect_ratio = 0.75;
        fixed_width = true; fixed_height = true; color = graphics_background;
    }
    : text_part { key = "msg"; }
    : text_part { key = "EmptyLine"; width = 10; }
    : text_part { key = "datnam"; color = -15;  }
    : text_part { key = "EmptyLine2"; width = 10; }

    : button { label = "Ok"; mnemonic = "O"; key = "ok"; width = 26;
               fixed_width = true; is_default  = true; alignment = centered;
    }
}

zoomDelete : dialog
{
    key = "l_label";
    : image_button {
        key = "icon"; width = 75; aspect_ratio = 0.75;
        fixed_width = true; fixed_height = true; color = graphics_background;
    }
    : text_part { key = "msg"; }
    : text_part { key = "EmptyLine"; width = 10; }
    : text_part { key = "datnam"; color = -15;  }
    : text_part { key = "EmptyLine2"; width = 10; }

    ok_cancel;
}


//-------------------------------------------- MSBV ------------------------------------------------

msbv0 : dialog
{
    key  = "l_label";
    : column {
        : row {
            : boxed_column {
                gewerk0;
                group0;
                page0;
            }
            : boxed_column {
                msbv_top0;
                msbv_icon0;
            }
        }
        : row {
            : column {
                spacer_1;
                : row {
                    spacer_12;
                    ms_ok0;
                    ms_cancel0;
                    ms_help0;
                    ms_zoom0;
                    ms_arc0;
                    ms_res0;
                    ms_dellock0;
                    ms_info0;
                    spacer_12;
                }
            }
        }
    }
}

//------------------------------------ GEWERKE-SLIDER ----------------------------------------------

gewerk0 : column {
    width = 30;
    fixed_width = true;
    : text_part  { label = "Bibliothek"; }
    : popup_list { key = "gewerk_pop"; action = "(action)"; }
    : list_box   { key = "gewerk_list"; height = 10; width = 30; tabs = 29; action = "(action)"; }
}

//------------------------------------ GRUPPEN-SLIDER ----------------------------------------------

group0 : column {
    width = 30;
    fixed_width = true;
    : text_part  { label = "Gruppe"; }
    : popup_list { key = "group_pop"; action = "(action)"; }
    : list_box   { key = "group_list"; height = 10; width = 30; tabs = 29; action = "(action)"; }
}

//------------------------------------- SEITEN-SLIDER ----------------------------------------------

page0 : column {
    width = 30;
    fixed_width = true;
    : text_part  { label = "Seite"; }
    : popup_list { key = "page_pop"; action = "(action)"; }
    : list_box   { key = "page_list";  height = 10; width = 30; tabs = 29; action = "(action)"; }
}

//------------------------------------- MENU-LEISTE ------------------------------------------------

msbv_top0 : row {
    fixed_height = true;
    : column {
        fixed_width = true;
        width = 15;
        : text_part  { label = ""; height = 1.9; }
        : text_part  { label = "Block"; }
        : popup_list { key   = "insert_def"; action = "(action)";}
    }
    : column {
        fixed_width = true;
        width = 17;
        : text_part  { label = "Skalierung"; }
        : popup_list { key   = "skal_pop"; mnemonic= "k"; action = "(action)";}
        : edit_box   { label=""; key = "skal_box"; action = "(action)"; }
    }
    : column {
        fixed_width = true;
        width =10;
        : text_part  { label = "Einfgemodus"; }
        : popup_list { key   = "insert_mod"; action = "(action)";}
        : button     { label = "Neu Laden"; mnemonic = "N"; key = "load_new"; action = "(action)"; }
    }
    : column {
        : text_part  { label = ""; }
        : text_part  { label = "XREF";    alignment = centered;}
        : toggle     { key = "einf_xref"; alignment = centered;  action = "(action)";}
    }
    : boxed_column {
        : text_part  { label = "Attribut-Dialog";  alignment = centered;}
        : row {
            : column {
                : text_part  { label = "Ohne"; alignment = centered;}
                : toggle { key = "einf_ohne";    alignment = centered; action = "(action)";}
            }
            : column {
                : text_part  { label = "Mit";  alignment = centered;}
                : toggle { key = "einf_dialog";  alignment = centered; action = "(action)";}
            }
        }
    }
}

//---------------------------------------- ICON ----------------------------------------------------

msbv_icon0 : column {
    : row {
        vertical_margin = none;
        : image_button { key = "icon00"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon01"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon02"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon03"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
    }
    : row {
        height = 1.9;
        fixed_height = true;
        vertical_margin = none;
        : edit_box { key = "text00"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text01"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text02"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text03"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
    }
    : row {
        vertical_margin = none;
        : image_button { key = "icon04"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon05"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon06"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon07"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
    }
    : row {
        height = 1.9;
        fixed_height = true;
        vertical_margin = none;
        : edit_box { key = "text04"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text05"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text06"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text07"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
    }
    : row {
        vertical_margin = none;
        : image_button { key = "icon08"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon09"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon10"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
        : image_button { key = "icon11"; width = 24; fixed_width  = true; aspect_ratio = 0.75; color = graphics_background ; action = "(action)"; }
    }
    : row {
        height = 1.9;
        fixed_height = true;
        vertical_margin = none;
        : edit_box { key = "text08"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text09"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text10"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
        : edit_box { key = "text11"; width = 12; edit_limit = 50; color = 2; action = "(action)";}
    }
}

//---------------------------------------- USEREINGABEN --------------------------------------------

input0 : dialog {
    key   = "l_label";
    width = 35;
    height = 8;
    : column {
        : text_part { key = "";     width = 2; fixed_width = true; }
        : text_part { key = "msg";  width = 30; fixed_width = true; }
        : edit_box  { key = "user"; edit_width = 35; edit_limit = 50; fixed_width = true; action = "(action)"; }
        : text_part { key = "";     width = 2; fixed_width = true; }
        ms_ok_cancel_help;
    }
}

// -------------------------------------- FEHLERMELDUNGEN ------------------------------------------

ms_msg0 : dialog {
    key = "l_label";
    width  = 42;
    height = 8;
    : column {
        : text_part { key = "t1";  alignment = centered; width = 40; }
        : text_part { key = "msg"; alignment = centered; width = 20; }
        : text_part { key = "t2";  alignment = centered; width = 40; }
//        : row      {
            ok_cancel;
//            ms_help;
//        }
    }
}

//--------------------------------------------------------------------------------------------------

ms_ask0 : dialog {
    key = "l_label";
    height = 8;
    : column {
        : text_part { key = "";  }
        : text_part { key = "msg"; alignment = centered; width = 40; }
        : text_part { key = "";  }
        ms_jn_help;
    }
}

//------------------------------------- VERSCHIEBEN UND KOPIEREN -----------------------------------

msbv_move_copy : column {
        : boxed_row {
            : text_part { key = "msg"; width = 60; }
        }
    : row {
        : boxed_column {
            width = 35;
            fixed_width = true;
            : text_part { label = "Bibliothek"; }
            : list_box  { key   = "gewerk_list"; width = 30; tabs = 29; }
            spacer_1;
            : text_part { label = "Gruppe"; }
            : list_box  { key   = "group_list"; width = 30; tabs = 29; }
            spacer_1;
            : text_part { label = "Seite"; }
            : list_box  { key   = "page_list"; width = 30; tabs = 29; }
        }
        : column {
            : boxed_column {
                : image_button {
                    key = "icon"; height = 18; aspect_ratio = 1.3;
                    fixed_width = true; fixed_height = true; color = graphics_background;
                }
            }
            : boxed_column {
                label = "Moegliche Position";
                : row {
                    : button { key = "i00"; label = "ICON 1 "; }
                    : button { key = "i01"; label = "ICON 2 "; }
                    : button { key = "i02"; label = "ICON 3 "; }
                    : button { key = "i03"; label = "ICON 4 "; }
                }
                : row {
                    : button { key = "i04"; label = "ICON 5 "; }
                    : button { key = "i05"; label = "ICON 6 "; }
                    : button { key = "i06"; label = "ICON 7 "; }
                    : button { key = "i07"; label = "ICON 8 "; }
                }
                : row {
                    : button { key = "i08"; label = "ICON 9 "; }
                    : button { key = "i09"; label = "ICON 10"; }
                    : button { key = "i10"; label = "ICON 11"; }
                    : button { key = "i11"; label = "ICON 12"; }
                }
            }
        }
    }
    : text_part { key = "datnam"; }
    : row {
        : column {
            spacer_1;
            : row {
                spacer_12;
                : button {
                    label = "Abbruch"; mnemonic = "A"; key = "cancel"; is_cancel = true;
                    width = 20; fixed_width = true;
                }
                : button {
                    label = "Hilfe"; mnemonic = "H"; key = "help"; width = 20;
                    fixed_width = true;
                }
                spacer_12;
            }
        }
    }
}

//--------------------------------------------------------------------------------------------------

msbv_move_copy0 : dialog { key = "l_label"; height = 50; msbv_move_copy; }
msbv_move_copy1 : dialog { key = "l_label"; height = 50; msbv_move_copy; }
msbv_move_copy2 : dialog { key = "l_label"; height = 50; msbv_move_copy; }

//---------------------------------- SEITE VERSCHIEBEN/KOPIEREN ------------------------------------

msbv_copy_move_page : column {
    : boxed_row {
        : text_part { key = "msg"; width = 25; fixed_width = true; }
    }
    : row {
        : boxed_column {
            width = 30;
            fixed_width = true;
            : text_part  { label = "Bibliothek"; }
            : list_box   { key = "gewerk_list"; width = 30; tabs = 29; height = 10; }
        }
        : boxed_column {
            width = 30;
            fixed_width = true;
            : text_part  { label = "Gruppe"; }
            : list_box   { key = "group_list"; width = 30; tabs = 29; height = 10; }
        }
        : boxed_column {
            width = 30;
            fixed_width = true;
            : text_part  { label = "Seite"; }
            : list_box   { key = "page_list"; width = 30; tabs = 29; height = 10; }
        }
    }
    : text_part { key = "page"; }
    : text_part { key = "Divider"; }
    : row {
            spacer_12;
            spacer_12;
            ms_ok_cancel_help;
            spacer_12;
            spacer_12;
    }
}

//--------------------------------------------------------------------------------------------------

msbv_copy_move_page0 : dialog { key = "l_label"; msbv_copy_move_page; }
msbv_copy_move_page1 : dialog { key = "l_label"; msbv_copy_move_page; }
msbv_copy_move_page2 : dialog { key = "l_label"; msbv_copy_move_page; }

//--------------------------------------- SLIDERPOSITION -------------------------------------------

msbv_new_pos : column {
    : column {
        : boxed_column { label = "Gewhlt"; : text_part { key = msg; }}
        : boxed_column {
            alignment = centered;
            label = "Neue Position";
            width = 35;
            fixed_width = true;
            : list_box   { key = "liste"; height = 12; width = 30; tabs = 29; }
        }
        spacer_1;
        : row {
            : button { label = "Ok";      width = 15; mnemonic = "O"; key = "ok";    is_default = true; }
            : button { label = "Abbruch"; width = 15; mnemonic = "A"; key = "cancel"; is_cancel = true; }
            : button { label = "Hilfe";   width = 15; mnemonic = "H"; key = "help"; }
        }
    }
}

//--------------------------------------------------------------------------------------------------

msbv_new_pos0 : dialog { key = "l_label"; msbv_new_pos; }
msbv_new_pos1 : dialog { key = "l_label"; msbv_new_pos; }
msbv_new_pos2 : dialog { key = "l_label"; msbv_new_pos; }

//--------------------------------------------------------------------------------------------------

ABFRAGE : dialog
{
    label        = "Text Editieren";
    key          = "l_label";
    heigth       = 24;
    fixed_height = true;

    : boxed_column {
        spacer_1;
        : row {
            : text_part {label = "Soll der Text wirklich aktualisiert werden ?";}
        }
        spacer_1;
    }
    spacer_1;
    : row {
        spacer_0;
        ms_ok;
        ms_cancel;
        spacer_0;
    }
}

//--------------------------------------------------------------------------------------------------

MS_123 : dialog
{
    label = "TRICsy ShareWare";
    : text { label = ""; }
    : text { label = "Dieses Programm ist ShareWare, und Sie drfen 30 Tage zu Testzwecken damit"; }
    : text { label = "arbeiten. Lesen Sie dazu die Lizenzvereinbarungen durch anklicken des ent-"; }
    : text { label = "sprechenden  Symbols in der Programmgruppe 'AutoCAD R13'.  Nach Ablauf der"; }
    : text { label = "Testphase mssen Sie das Programm  entweder lizensieren, oder es von Ihrem"; }
    : text { label = "Computersystem entfernen."; }
    : text { label = ""; }
    : text { label = "Die einzige  Einschrnkung dieser Testversion besteht im Erscheinen dieser "; }
    : text { label = "Meldung, die bei  einer Voll-Lizenz natrlich nicht mehr auftritt, und Sie"; }
    : text { label = "somit in Ruhe mit Ihren Blcken arbeiten knnen."; }
    : text { label = ""; }
    : text { label = "Sollte Ihnen TRICsy gefallen, so klicken Sie auf das Symbol 'TRICsy Lizenz,"; }
    : text { label = "Bestellung' in der Programmgruppe 'AutoCAD R13'. In der angezeigten Datei"; }
    : text { label = "ist ein Bestellformular enthalten, welches Sie ausdrucken lassen knnen."; }
    : text { label = ""; }
    : text { label = "Viel Spa mit TRICsy wnscht Ihnen"; }
    : text { label = ""; }
    : text { label = "    MERViSOFT"; }
    : text { label = ""; }
    : text { key = "text00";  alignment = centered; }
    : row {
        : button { label = "1"; mnemonic = "1"; key = "1"; width = 10; is_default = true; }
        : button { label = "2"; mnemonic = "2"; key = "2"; width = 10; }
        : button { label = "3"; mnemonic = "3"; key = "3"; width = 10; }
    }
}

//--------------------------------------------------------------------------------------------------

spacer_12 : spacer { width = 12; }
spacer_8  : spacer { width = 8;  }
spacer_4  : spacer { width = 4;  }

//--------------------------------------------------------------------------------------------------

ms_ok : button {
    label       = "Ok";
    mnemonic    = "O";
    key         = "ok";
    width       = 10;
    action      = "(action)";
    fixed_width = true;
    is_default  = true;
}

//--------------------------------------------------------------------------------------------------

ms_cancel : button {
    label       = "Abbruch";
    mnemonic    = "A";
    key         = "cancel";
    is_cancel   = true;
    width       = 10;
    action      = "(action)";
    fixed_width = true;
}

//--------------------------------------------------------------------------------------------------

ms_help : button {
    label       = "Hilfe";
    mnemonic    = "H";
    key         = "help";
    width       = 10;
    fixed_width = true;
    action      = "(ms_help)";
}

//--------------------------------------------------------------------------------------------------

ms_zoom : button {
    label       = "Zoom Dia";
    mnemonic    = "Z";
    key         = "zoom";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_arc  : button {
    label       = "Archiv.";
    mnemonic    = "v";
    key         = "arc";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_res  : button {
    label       = "Restore";
    mnemonic    = "R";
    key         = "res";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_dellock : button {
    label       = "Freigabe";
    mnemonic    = "F";
    key         = "dellock";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_info : button {
    label       = "Info";
    mnemonic    = "I";
    key         = "info";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_ok0 : button {
    label       = "Ok";
    mnemonic    = "O";
    key         = "ok";
    width       = 10;
    fixed_width = true;
    is_default  = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_cancel0 : button {
    label       = "Abbruch";
    mnemonic    = "A";
    key         = "cancel";
    width       = 10;
    is_cancel   = true;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_help0 : button {
    label       = "Hilfe";
    mnemonic    = "H";
    key         = "help";
    width       = 10;
    fixed_width = true;
    action      = "(ms_help)";
}

//--------------------------------------------------------------------------------------------------

ms_zoom0 : button {
    label       = "Zoom Dia";
    mnemonic    = "Z";
    key         = "zoom";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_arc0  : button {
    label       = "Archiv.";
    mnemonic    = "v";
    key         = "arc";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_res0  : button {
    label       = "Restore";
    mnemonic    = "R";
    key         = "res";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_dellock0 : button  {
    label       = "Freigabe";
    mnemonic    = "F";
    key         = "dellock";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_info0 : button {
    label       = "Info";
    mnemonic    = "I";
    key         = "info";
    width       = 10;
    fixed_width = true;
    action      = "(action)";
}

//--------------------------------------------------------------------------------------------------

ms_ok_cancel_help : row { ms_ok; ms_cancel; ms_help; }

//--------------------------------------------------------------------------------------------------

ms_jn_help : row {
    : button {
       label = "Ja"; mnemonic = "J"; key = "ok"; width = 10; fixed_width = true; is_default = true;
    }
    : button {
       label = "Nein"; mnemonic = "N"; key = "cancel"; is_cancel = true; width = 10; fixed_width = true;
    }
    : button {
        label = "Hilfe"; mnemonic = "H"; key = "help"; width = 10; fixed_width = true; action = "(ms_help)";
    }
}

//--------------------------------------------------------------------------------------------------

PNButLine : column {
    : row {
        ms_ok;
        ms_cancel;
        : button {
            label = "Weiter"; mnemonic = "W"; key = "next";  width = 10;
            fixed_width = true; action = "(action)"; is_enabled = false;
        }
        : button {
            label = "Zurck";  mnemonic = "Z"; key = "prev"; width = 10;
            fixed_width = true; action = "(action)"; is_enabled = false;
        }
        ms_help;
    }
}

//--------------------------------------------------------------------------------------------------

BotLine : column {
    : boxed_row {
        : text_part { key = msg; width = 40; fixed_width = true; }
    }
    : row {
        : button {
            label = "Zurck"; mnemonic = "u"; key = "cancel";
            is_cancel = true; width = 10; fixed_width = true;
        }
        : button {
            label = "Abbruch"; mnemonic = "A"; key = "ok";
            width = 10; fixed_width = true;
        }
        ms_zoom;
        ms_help;
    }
}





//--------------------------------------------------------------------------------------------------
//                               END OF SOURCE
//--------------------------------------------------------------------------------------------------


